Subject: bug#7367: closed (Re: bug#7367: 24.0.50; change logs in source code)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 09 Jul 2011 19:01:02 +0000

Your bug report

#7367: Restore wdired comments removed by the author 5 years ago; also old commentary removed from ffap 13 years ago

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
7367: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=7367
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#7367: 24.0.50; change logs in source code
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Sat, 09 Jul 2011 15:00:03 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

I see no point in keeping this report open.
The author of the file was the one who removed his own comments.

http://cvs.savannah.gnu.org/viewvc/emacs/lisp/wdired.el?root=emacs&r1=1.8&r2=1.9&pathrev=MAIN

2005-04-11  Juan Leon Lahoz Garcia 

The original comments can be found using VC, and aren't very useful:

http://cvs.savannah.gnu.org/viewvc/emacs/lisp/wdired.el?revision=1.1&root=emacs&view=markup&pathrev=MAIN

Subject: 24.0.50; change logs in source code
From: "Drew Adams" <[email-masked]>
To: <[email-masked]>
Date: Wed, 10 Nov 2010 12:46:20 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

emacs -Q
 
Visiting wdired.el, I see that this is the complete content of the
`Change log:' entry:
 
;; Google is your friend (previous versions with complete changelogs
;; were posted to gnu.emacs.sources)
 
Please restore the normal, helpful, user-friendly source-file change
logs that were in the author's file.  Emacs users should be able to get
the info they need by consulting only the source code.  They should not
need any Internet access, in particular.
 
This seems like just laziness on the part of Emacs development.
But is also an anti-user policy.
 
(And stop selling Google.  Although I agree that googling can be
helpful.)
 
Other files have similar cop-out text.  In ffap.el the `Change log:'
entry tells you to go ftp the change log (and to go hunt for the
place to ftp it from).
 
Users should not need Internet access to get hold of the source-file
change logs.  At the very least, they should be able to visit another
local file.  And that file location should be clearly indicated in the
source library, so a simple find-file-at-point will go there.
 
Emacs source files contain lots of text such as `Todo list' that is less
important than change-log history.  Users deserve better than telling
them to go search the Internet for change history.

Change logs are not just for Emacs developers' internal use.
They are for users.

In GNU Emacs 24.0.50.1 (i386-mingw-nt5.1.2600)
 of 2010-11-09 on 3249CTO
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (4.4) --no-opt --cflags
-Ic:/imagesupport/include'